# List of all articles

Using this endpoint, you can get list of all articles with detailed info of each article (like in Detail of article endpoint) asynchronously. 


See how Asynchronous requests work on our developer's portal.


Response will be in jsonlines format with each article taking one line of output file.


One article in response has the same format as article detail response. See Article snapshot schema for more details.


Result file is compressed using GZIP.

Endpoint: GET /api/articles/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `idFrom` (integer)
    Export articles with id bigger or equal than given value
    Example: 1

  - `idTo` (integer)
    Export articles with id lower or equal than given value
    Example: 10

  - `articleLanguage` (string)
    Export articles written in given language
    Example: "cs"

  - `publishDateFrom` (string)
    Export articles published after given datetime
    Example: "2014-09-05T00:00:00%2B0000"

  - `publishDateTo` (string)
    Export articles published before given datetime
    Example: "2014-11-05T00:00:00%2B0000"

  - `changeDateFrom` (string)
    Export articles updated after given datetime
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeDateTo` (string)
    Export articles updated before given datetime
    Example: "2014-11-05T00:00:00%2B0000"

  - `visible` (boolean)
    Filtering according to document visibility
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


